## org.jfree.xml.generator.model
Class TypeInfo

    java.lang.Object
      org.jfree.xml.generator.model.TypeInfo

Direct Known Subclasses:
  PropertyInfo

    public class TypeInfo

extends java.lang.Object

Retains information about a type.

Constructor Summary
`TypeInfo(java.lang.String name, java.lang.Class type)` Creates a new instance.

Method Summary
`boolean` `equals(java.lang.Object o)` Tests this object for equality with another object.
`Comments` `getComments()` Returns the comments for this type info.
`java.lang.String` `getDescription()` Returns the type description.
`java.lang.String` `getName()` Returns the type name.
`java.lang.Class` `getType()` Returns the class.
`int` `hashCode()` Returns a hash code for this object.
`boolean` `isConstrained()` Returns `true` if the type is constrained, and `false` otherwise.
`boolean` `isNullable()` Returns the nullable status.
`void` `setComments(Comments comments)` Sets the comments for this type info.
`void` `setConstrained(boolean constrained)` Sets the flag that indicates whether or not the type is constrained.
`void` `setDescription(java.lang.String description)` Sets the type description.
`void` `setNullable(boolean nullable)` Sets the nullable flag.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeInfo

    public TypeInfo(java.lang.String name,
                    java.lang.Class type)

  Creates a new instance.

  Parameters:
    `name` - the type name (`null` not permitted).
    `type` - the class.

Method Detail

### getType

    public java.lang.Class getType()

  Returns the class.

  Returns:
    The class.

### isNullable

    public boolean isNullable()

  Returns the nullable status.

  Returns:
    A boolean.

### setNullable

    public void setNullable(boolean nullable)

  Sets the nullable flag.

  Parameters:
    `nullable` - the flag.

### isConstrained

    public boolean isConstrained()

  Returns `true` if the type is constrained, and `false` otherwise.

  Returns:
    A boolean.

### setConstrained

    public void setConstrained(boolean constrained)

  Sets the flag that indicates whether or not the type is constrained.

  Parameters:
    `constrained` - the flag.

### getDescription

    public java.lang.String getDescription()

  Returns the type description.

  Returns:
    The type description.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the type description.

  Parameters:
    `description` - the description.

### getName

    public java.lang.String getName()

  Returns the type name.

  Returns:
    The type name.

### getComments

    public Comments getComments()

  Returns the comments for this type info.

  Returns:
    The comments.

### setComments

    public void setComments(Comments comments)

  Sets the comments for this type info.

  Parameters:
    `comments` - the comments.

### equals

    public boolean equals(java.lang.Object o)

  Tests this object for equality with another object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the other object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.